> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all Kubernetes efficiency reports

> Return all KubernetesEfficiencyReports.



## OpenAPI

````yaml https://api.vantage.sh/v2/oas_v3.json get /kubernetes_efficiency_reports
openapi: 3.0.1
info:
  title: Vantage
  description: Vantage API
  termsOfService: https://www.vantage.sh/terms-of-use
  contact:
    name: Vantage Support
    url: https://www.vantage.sh
    email: support@vantage.sh
  version: 2.0.0
servers:
  - url: https://api.vantage.sh/v2
security:
  - oauth2:
      - read
tags:
  - name: AccessGrants
    description: Operations about AccessGrants
  - name: AnomalyAlerts
    description: Operations about AnomalyAlerts
  - name: AnomalyNotifications
    description: Operations about AnomalyNotifications
  - name: AuditLogs
    description: Operations about AuditLogs
  - name: BillingProfiles
    description: Operations about BillingProfiles
  - name: BillingRules
    description: Operations about BillingRules
  - name: BudgetAlerts
    description: Operations about BudgetAlerts
  - name: Budgets
    description: Operations about Budgets
  - name: BusinessMetrics
    description: Operations about BusinessMetrics
  - name: Canvases
    description: Operations about Canvases
  - name: CostAlertEvents
    description: Operations about CostAlertEvents
  - name: CostAlerts
    description: Operations about CostAlerts
  - name: CostProvider
    description: Operations about CostProviders
  - name: CostProviderAccounts
    description: Operations about CostProviderAccounts
  - name: Costs
    description: Operations about Costs
  - name: CostService
    description: Operations about CostServices
  - name: Dashboards
    description: Operations about Dashboards
  - name: DataExports
    description: Operations about DataExports
  - name: ExchangeRates
    description: Operations about ExchangeRates
  - name: FinancialCommitmentReports
    description: Operations about FinancialCommitmentReports
  - name: FinancialCommitments
    description: Operations about FinancialCommitments
  - name: Folders
    description: Operations about Folders
  - name: Integrations
    description: Operations about Integrations
  - name: Invoices
    description: Operations about Invoices
  - name: KubernetesEfficiencyReports
    description: Operations about KubernetesEfficiencyReports
  - name: ManagedAccounts
    description: Operations about ManagedAccounts
  - name: Me
    description: Operations about Mes
  - name: NetworkFlowReports
    description: Operations about NetworkFlowReports
  - name: OpenAPISpecification
    description: Operations about OpenAPISpecifications
  - name: Ping
    description: Operations about Pings
  - name: Prices
    description: Operations about Prices
  - name: Recommendations
    description: Operations about Recommendations
  - name: RecommendationViews
    description: Operations about RecommendationViews
  - name: ReportNotifications
    description: Operations about ReportNotifications
  - name: ResourceReports
    description: Operations about ResourceReports
  - name: Resources
    description: Operations about Resources
  - name: SavedFilters
    description: Operations about SavedFilters
  - name: Segments
    description: Operations about Segments
  - name: Tags
    description: Operations about Tags
  - name: Teams
    description: Operations about Teams
  - name: UnitCosts
    description: Operations about UnitCosts
  - name: UserFeedback
    description: Operations about UserFeedbacks
  - name: Users
    description: Operations about Users
  - name: VirtualTags
    description: Operations about VirtualTags
  - name: Workspaces
    description: Operations about Workspaces
paths:
  /kubernetes_efficiency_reports:
    get:
      tags:
        - KubernetesEfficiencyReports
      summary: Get all Kubernetes efficiency reports
      description: Return all KubernetesEfficiencyReports.
      operationId: getKubernetesEfficiencyReports
      parameters:
        - name: page
          in: query
          description: The page of results to return.
          schema:
            type: integer
            format: int32
        - name: limit
          in: query
          description: The amount of results to return. The maximum is 1000.
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KubernetesEfficiencyReports'
              example:
                links:
                  self: https://api.vantage.sh/v2/kubernetes_efficiency_reports
                  first: >-
                    https://api.vantage.sh/v2/kubernetes_efficiency_reports?page=1
                  next: null
                  last: >-
                    https://api.vantage.sh/v2/kubernetes_efficiency_reports?page=1
                  prev: null
                kubernetes_efficiency_reports:
                  - token: kbnts_eff_rprt_f8d610afacc7e6c6
                    title: Cluster Idle Costs
                    default: false
                    created_at: '2024-10-25T21:20:43Z'
                    workspace_token: wrkspc_64768b29bebf9dfe
                    user_token: null
                    start_date: '2024-10-01'
                    end_date: '2024-10-31'
                    date_interval: this_month
                    date_bucket: day
                    aggregated_by: idle_cost
                    groupings: cluster_id
      security:
        - oauth2:
            - read
components:
  schemas:
    KubernetesEfficiencyReports:
      required:
        - kubernetes_efficiency_reports
      type: object
      properties:
        links:
          $ref: '#/components/schemas/Links'
        kubernetes_efficiency_reports:
          type: array
          items:
            $ref: '#/components/schemas/KubernetesEfficiencyReport'
      description: KubernetesEfficiencyReports model
    Links:
      type: object
      properties:
        self:
          type: string
          description: The URL of the current page of results.
          nullable: true
        first:
          type: string
          description: The URL of the first page of results.
          nullable: true
        next:
          type: string
          description: The URL of the next page of results, if one exists.
          nullable: true
        last:
          type: string
          description: The URL of the last page of results, if one exists.
          nullable: true
        prev:
          type: string
          description: The URL of the previous page of results, if one exists.
          nullable: true
    KubernetesEfficiencyReport:
      required:
        - aggregated_by
        - created_at
        - date_bucket
        - date_interval
        - default
        - end_date
        - filter
        - groupings
        - start_date
        - title
        - token
        - workspace_token
      type: object
      properties:
        token:
          type: string
          nullable: false
        title:
          type: string
          description: The title of the KubernetesEfficiencyReport.
          nullable: false
          example: Acme123 Kubernetes Efficiency Metrics
        default:
          type: boolean
          description: >-
            Indicates whether the KubernetesEfficiencyReport is the default
            report.
          nullable: false
        created_at:
          type: string
          description: >-
            The date and time, in UTC, the report was created. ISO 8601
            Formatted.
          nullable: false
          example: '2024-03-19T00:00:00Z'
        workspace_token:
          type: string
          description: >-
            The token for the Workspace the KubernetesEfficiencyReport is a part
            of.
          nullable: false
        user_token:
          type: string
          description: The token for the User who created this KubernetesEfficiencyReport.
          nullable: true
        start_date:
          type: string
          description: >-
            The start date for the KubernetesEfficiencyReport. Only set for
            custom date ranges. ISO 8601 Formatted.
          nullable: true
          example: '2024-03-01'
        end_date:
          type: string
          description: >-
            The end date for the KubernetesEfficiencyReport. Only set for custom
            date ranges. ISO 8601 Formatted.
          nullable: true
          example: '2024-03-20'
        date_interval:
          type: string
          description: >-
            The date range for the KubernetesEfficiencyReport. Only present if a
            custom date range is not specified.
          nullable: true
          example: last_month
        date_bucket:
          type: string
          description: >-
            How costs are grouped and displayed in the
            KubernetesEfficiencyReport. Possible values: day, week, month.
          nullable: false
          example: month
        aggregated_by:
          type: string
          description: >-
            How costs are aggregated by. Possible values: idle_cost, amount,
            cost_efficiency.
          nullable: false
        groupings:
          type: string
          description: >-
            Grouping values for aggregating costs on the
            KubernetesEfficiencyReport. Valid groupings: cluster_id, namespace,
            region, labeled, category, pod, label, label:<label_name>.
          nullable: true
          example: cluster_id, namespace
        filter:
          type: string
          description: >-
            The filter applied to the KubernetesEfficiencyReport. Additional
            documentation available at https://docs.vantage.sh/vql.
          nullable: true
      description: KubernetesEfficiencyReport model
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://console.vantage.sh/account/profile
          scopes:
            read: Grants read access
            write: Grants write access

````